Bug 1286772 - Review Request: python-magnumclient - Client library for Magnum API
Review Request: python-magnumclient - Client library for Magnum API
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Javier Peña
Fedora Extras Quality Assurance
:
Depends On:
Blocks: RDO-LIBERTY-REVIEWS 1302766
  Show dependency treegraph
 
Reported: 2015-11-30 12:02 EST by Chandan Kumar
Modified: 2016-06-17 09:30 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-17 09:30:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jpena: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Chandan Kumar 2015-11-30 12:02:24 EST
Spec URL: https://chandankumar.fedorapeople.org/python-magnumclient.spec
SRPM URL: https://chandankumar.fedorapeople.org/python-magnumclient-1.1.0-1.fc22.src.rpm
Description: This is a client library for Magnum built on the Magnum API.
It provides a Python API (the magnumclient module) and a
command-line tool (magnum).
Fedora Account System Username: chandankumar

Successful Koji Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=12016554
Comment 1 Alan Pevec 2015-11-30 12:56:43 EST
Please coordinate with Mathieu from CERN, I've cross posted to rdo-list [openstack-dev] [Magnum] Liberty RPMs for RDO.
Comment 2 Alan Pevec 2015-12-01 05:56:14 EST
On a related note, initial draft .spec for the Magnum service is at:
https://github.com/MatMaul/openstack-magnum-spec/blob/master/openstack-magnum.spec
Comment 3 Mathieu Velten 2015-12-16 11:43:59 EST
Perhaps define magnumclient as a variable and use it whenever possible, so this can be used as a template with less replace to do when creating a new openstack client spec file.
Comment 4 Chandan Kumar 2015-12-18 04:08:02 EST
Hello Mathieu,

(In reply to Mathieu Velten from comment #3)
> Perhaps define magnumclient as a variable and use it whenever possible, so
> this can be used as a template with less replace to do when creating a new
> openstack client spec file.

Thanks for the review, here is the updated
SPEC file: https://chandankumar.fedorapeople.org/python-magnumclient.spec
SRPM: https://chandankumar.fedorapeople.org/python-magnumclient-1.1.0-2.fc23.src.rpm

Koji Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=12233545

Thanks,

Chandan Kumar
Comment 5 Upstream Release Monitoring 2015-12-18 04:08:16 EST
chandankumar's scratch build of python-magnumclient-1.1.0-2.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12233545
Comment 6 Javier Peña 2015-12-18 05:42:26 EST
Hello Chandar,

I have found a few issues in the current spec:

- the -tests subpackage (python-magnumclient-tests) needs to depend on the same version-release of the main subpackage (python-magnumclient = %{version}-%{release}).

- Binary /usr/bin/magnum is present on both the python2 and python3 subpackages, and in the python2 subpackage it requires python3 to be present. This is not correct according to https://fedoraproject.org/wiki/Packaging:Python#Executables_in_.2Fusr.2Fbin . You may want to follow the same concept as http://pkgs.fedoraproject.org/cgit/python-reno.git/tree/python-reno.spec to fix this (although it is a bit convoluted, right now I don't know of a better way to do it).

- Removing the egg-info in %prep should not be done (https://fedoraproject.org/wiki/Packaging:Python_Eggs#Providing_Egg_Metadata_Using_Setuptools).

rpmlint complains about the magnum binary not having a man page. I'm not sure if it can be generated using sphinx, do you know?
Comment 7 Upstream Release Monitoring 2015-12-21 00:33:07 EST
chandankumar's scratch build of python-magnumclient-1.1.0-3.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12265948
Comment 8 Chandan Kumar 2015-12-21 00:37:16 EST
Hello Jpena,

Thanks for the review.

(In reply to Javier Peña from comment #6)
> Hello Chandar,
> 
> I have found a few issues in the current spec:
> 

Fixed:

Here is the updated
SPEC: https://chandankumar.fedorapeople.org/python-magnumclient.spec
SRPM: https://chandankumar.fedorapeople.org/python-magnumclient-1.1.0-3.fc23.src.rpm

Koji Build : https://koji.fedoraproject.org/koji/taskinfo?taskID=12265948

> rpmlint complains about the magnum binary not having a man page. I'm not
> sure if it can be generated using sphinx, do you know?

There is no manpages in upstream binary.

Thanks,

Chandan Kumar
Comment 9 Javier Peña 2015-12-21 04:42:21 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: There is no build directory. Running licensecheck on vanilla
     upstream sources. No licenses found. Please check the source files for
     licenses manually.
[x]: License file installed when any subpackage combination is installed.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/lib/python3.5/site-packages,
     /usr/lib/python3.5
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib/python3.5/site-
     packages, /usr/lib/python3.5
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[-]: Binary eggs must be removed in %prep
     Note: Cannot find any build in BUILD directory (--prebuilt option?)
[-]: Python eggs must not download any dependencies during the build
     process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-magnumclient , python3-magnumclient , python-magnumclient-doc
     , python3-magnumclient-tests
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-magnumclient-1.1.0-3.fc24.noarch.rpm
          python3-magnumclient-1.1.0-3.fc24.noarch.rpm
          python-magnumclient-doc-1.1.0-3.fc24.noarch.rpm
          python-magnumclient-tests-1.1.0-3.fc24.noarch.rpm
          python3-magnumclient-tests-1.1.0-3.fc24.noarch.rpm
          python-magnumclient-1.1.0-3.fc24.src.rpm
python3-magnumclient.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/magnumclient/__pycache__/version.cpython-35.opt-1.pyc
python3-magnumclient.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/magnumclient/common/__pycache__/base.cpython-35.opt-1.pyc
python3-magnumclient.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/magnumclient/v1/__pycache__/replicationcontrollers.cpython-35.opt-1.pyc
python3-magnumclient.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/magnumclient/v1/__pycache__/bays_shell.cpython-35.opt-1.pyc
python3-magnumclient.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/magnumclient/v1/__pycache__/bays.cpython-35.opt-1.pyc
python3-magnumclient.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/magnumclient/openstack/common/apiclient/__pycache__/auth.cpython-35.opt-1.pyc
python3-magnumclient.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/magnumclient/openstack/common/__pycache__/_i18n.cpython-35.opt-1.pyc
python3-magnumclient.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/magnumclient/openstack/common/apiclient/__pycache__/utils.cpython-35.opt-1.pyc
python3-magnumclient.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/magnumclient/__pycache__/exceptions.cpython-35.opt-1.pyc
python3-magnumclient.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/magnumclient/v1/__pycache__/mservices.cpython-35.opt-1.pyc
python3-magnumclient.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/magnumclient/openstack/common/apiclient/__pycache__/base.cpython-35.opt-1.pyc
python3-magnumclient.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/magnumclient/v1/__pycache__/nodes.cpython-35.opt-1.pyc
python3-magnumclient.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/magnumclient/openstack/common/apiclient/__pycache__/exceptions.cpython-35.opt-1.pyc
python3-magnumclient.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/magnumclient/openstack/__pycache__/__init__.cpython-35.opt-1.pyc
python3-magnumclient.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/magnumclient/common/__pycache__/__init__.cpython-35.opt-1.pyc
python3-magnumclient.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/magnumclient/v1/__pycache__/containers.cpython-35.opt-1.pyc
python3-magnumclient.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/magnumclient/__pycache__/i18n.cpython-35.opt-1.pyc
python3-magnumclient.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/magnumclient/openstack/common/__pycache__/__init__.cpython-35.opt-1.pyc
python3-magnumclient.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/magnumclient/v1/__pycache__/__init__.cpython-35.opt-1.pyc
python3-magnumclient.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/magnumclient/openstack/common/apiclient/__pycache__/fake_client.cpython-35.opt-1.pyc
python3-magnumclient.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/magnumclient/v1/__pycache__/shell.cpython-35.opt-1.pyc
python3-magnumclient.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/magnumclient/v1/__pycache__/pods_shell.cpython-35.opt-1.pyc
python3-magnumclient.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/magnumclient/common/__pycache__/httpclient.cpython-35.opt-1.pyc
python3-magnumclient.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/magnumclient/v1/__pycache__/pods.cpython-35.opt-1.pyc
python3-magnumclient.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/magnumclient/openstack/common/apiclient/__pycache__/client.cpython-35.opt-1.pyc
python3-magnumclient.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/magnumclient/__pycache__/__init__.cpython-35.opt-1.pyc
python3-magnumclient.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/magnumclient/v1/__pycache__/nodes_shell.cpython-35.opt-1.pyc
python3-magnumclient.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/magnumclient/v1/__pycache__/services.cpython-35.opt-1.pyc
python3-magnumclient.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/magnumclient/v1/__pycache__/baymodels_shell.cpython-35.opt-1.pyc
python3-magnumclient.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/magnumclient/openstack/common/apiclient/__pycache__/__init__.cpython-35.opt-1.pyc
python3-magnumclient.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/magnumclient/v1/__pycache__/mservices_shell.cpython-35.opt-1.pyc
python3-magnumclient.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/magnumclient/v1/__pycache__/replicationcontrollers_shell.cpython-35.opt-1.pyc
python3-magnumclient.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/magnumclient/v1/__pycache__/baymodels.cpython-35.opt-1.pyc
python3-magnumclient.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/magnumclient/v1/__pycache__/containers_shell.cpython-35.opt-1.pyc
python3-magnumclient.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/magnumclient/__pycache__/shell.cpython-35.opt-1.pyc
python3-magnumclient.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/magnumclient/openstack/common/__pycache__/cliutils.cpython-35.opt-1.pyc
python3-magnumclient.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/magnumclient/v1/__pycache__/client.cpython-35.opt-1.pyc
python3-magnumclient.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/magnumclient/v1/__pycache__/certificates_shell.cpython-35.opt-1.pyc
python3-magnumclient.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/magnumclient/common/__pycache__/utils.cpython-35.opt-1.pyc
python3-magnumclient.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/magnumclient/v1/__pycache__/services_shell.cpython-35.opt-1.pyc
python3-magnumclient.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/magnumclient/v1/__pycache__/certificates.cpython-35.opt-1.pyc
python3-magnumclient.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/magnumclient/__pycache__/client.cpython-35.opt-1.pyc
python3-magnumclient.noarch: W: no-manual-page-for-binary magnum
python-magnumclient-doc.noarch: W: summary-not-capitalized C python-magnumclient documentation
python-magnumclient-tests.noarch: W: spelling-error Summary(en_US) subpackage -> sub package, sub-package, package's
python-magnumclient-tests.noarch: W: spelling-error %description -l en_US subpackage -> sub package, sub-package, package's
python-magnumclient-tests.noarch: W: no-documentation
python3-magnumclient-tests.noarch: W: spelling-error Summary(en_US) subpackage -> sub package, sub-package, package's
python3-magnumclient-tests.noarch: W: spelling-error %description -l en_US subpackage -> sub package, sub-package, package's
python3-magnumclient-tests.noarch: W: no-documentation
python3-magnumclient-tests.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/magnumclient/tests/v1/__pycache__/test_bays_shell.cpython-35.opt-1.pyc
python3-magnumclient-tests.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/magnumclient/tests/__pycache__/test_magnumclient.cpython-35.opt-1.pyc
python3-magnumclient-tests.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/magnumclient/tests/v1/__pycache__/test_baymodels_shell.cpython-35.opt-1.pyc
python3-magnumclient-tests.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/magnumclient/tests/v1/__pycache__/__init__.cpython-35.opt-1.pyc
python3-magnumclient-tests.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/magnumclient/tests/v1/__pycache__/test_baymodels.cpython-35.opt-1.pyc
python3-magnumclient-tests.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/magnumclient/tests/v1/__pycache__/test_services_shell.cpython-35.opt-1.pyc
python3-magnumclient-tests.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/magnumclient/tests/v1/__pycache__/test_certificates.cpython-35.opt-1.pyc
python3-magnumclient-tests.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/magnumclient/tests/v1/__pycache__/test_containers.cpython-35.opt-1.pyc
python3-magnumclient-tests.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/magnumclient/tests/__pycache__/base.cpython-35.opt-1.pyc
python3-magnumclient-tests.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/magnumclient/tests/v1/__pycache__/test_bays.cpython-35.opt-1.pyc
python3-magnumclient-tests.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/magnumclient/tests/__pycache__/test_httpclient.cpython-35.opt-1.pyc
python3-magnumclient-tests.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/magnumclient/tests/v1/__pycache__/shell_test_base.cpython-35.opt-1.pyc
python3-magnumclient-tests.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/magnumclient/tests/__pycache__/test_client.cpython-35.opt-1.pyc
python3-magnumclient-tests.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/magnumclient/tests/v1/__pycache__/test_replicationcontrollers_shell.cpython-35.opt-1.pyc
python3-magnumclient-tests.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/magnumclient/tests/__pycache__/__init__.cpython-35.opt-1.pyc
python3-magnumclient-tests.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/magnumclient/tests/v1/__pycache__/test_pods_shell.cpython-35.opt-1.pyc
python3-magnumclient-tests.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/magnumclient/tests/v1/__pycache__/test_pods.cpython-35.opt-1.pyc
python3-magnumclient-tests.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/magnumclient/tests/__pycache__/test_shell.cpython-35.opt-1.pyc
python3-magnumclient-tests.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/magnumclient/tests/v1/__pycache__/test_replicationcontrollers.cpython-35.opt-1.pyc
python3-magnumclient-tests.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/magnumclient/tests/v1/__pycache__/test_nodes_shell.cpython-35.opt-1.pyc
python3-magnumclient-tests.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/magnumclient/tests/__pycache__/test_shell_args.cpython-35.opt-1.pyc
python3-magnumclient-tests.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/magnumclient/tests/v1/__pycache__/test_services.cpython-35.opt-1.pyc
python3-magnumclient-tests.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/magnumclient/tests/v1/__pycache__/test_client.cpython-35.opt-1.pyc
python3-magnumclient-tests.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/magnumclient/tests/v1/__pycache__/test_mservices.cpython-35.opt-1.pyc
python3-magnumclient-tests.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/magnumclient/tests/__pycache__/utils.cpython-35.opt-1.pyc
python3-magnumclient-tests.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/magnumclient/tests/v1/__pycache__/test_nodes.cpython-35.opt-1.pyc
python3-magnumclient-tests.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/magnumclient/tests/v1/__pycache__/test_containers_shell.cpython-35.opt-1.pyc
python3-magnumclient-tests.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/magnumclient/tests/v1/__pycache__/test_mservices_shell.cpython-35.opt-1.pyc
python3-magnumclient-tests.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/magnumclient/tests/v1/__pycache__/test_certificates_shell.cpython-35.opt-1.pyc
python3-magnumclient-tests.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/magnumclient/tests/__pycache__/test_utils.cpython-35.opt-1.pyc
6 packages and 0 specfiles checked; 0 errors, 80 warnings.




Rpmlint (installed packages)
----------------------------
python-magnumclient-doc.noarch: W: summary-not-capitalized C python-magnumclient documentation
python-magnumclient-tests.noarch: W: no-documentation
python3-magnumclient-tests.noarch: W: no-documentation
python3-magnumclient.noarch: W: no-manual-page-for-binary magnum
5 packages and 0 specfiles checked; 0 errors, 4 warnings.



Requires
--------
python-magnumclient-doc (rpmlib, GLIBC filtered):

python-magnumclient-tests (rpmlib, GLIBC filtered):
    python(abi)
    python-fixtures
    python-keystoneauth1
    python-magnumclient
    python-mock
    python-oslo-i18n
    python-oslo-utils
    python-prettytable
    python-requests
    python-stevedore
    python-testtools

python3-magnumclient-tests (rpmlib, GLIBC filtered):
    python(abi)
    python3-fixtures
    python3-keystoneauth1
    python3-magnumclient
    python3-mock
    python3-oslo-i18n
    python3-oslo-utils
    python3-prettytable
    python3-requests
    python3-stevedore
    python3-testtools

python2-magnumclient (rpmlib, GLIBC filtered):
    python(abi)
    python-babel
    python-os-client-config
    python-oslo-i18n
    python-oslo-serialization
    python-oslo-utils
    python-prettytable

python3-magnumclient (rpmlib, GLIBC filtered):
    /usr/bin/python3
    python(abi)
    python3-babel
    python3-os-client-config
    python3-oslo-i18n
    python3-oslo-serialization
    python3-oslo-utils
    python3-prettytable



Provides
--------
python-magnumclient-doc:
    python-magnumclient-doc

python-magnumclient-tests:
    python-magnumclient-tests

python3-magnumclient-tests:
    python3-magnumclient-tests

python2-magnumclient:
    python-magnumclient
    python-magnumclient(x86-64)
    python2-magnumclient

python3-magnumclient:
    python3-magnumclient



Source checksums
----------------
https://pypi.python.org/packages/source/p/python-magnumclient/python-magnumclient-1.1.0.tar.gz :
  CHECKSUM(SHA256) this package     : 617c6af081c327f8a4b703125627599cfba78f17c7f26468b94e6db21b304201
  CHECKSUM(SHA256) upstream package : 617c6af081c327f8a4b703125627599cfba78f17c7f26468b94e6db21b304201


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1286772 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

The package is APPROVED, please go ahead with the SCM request.
Comment 10 Gwyn Ciesla 2015-12-21 09:20:23 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/python-magnumclient

Note You need to log in before you can comment on or make changes to this bug.